@if (componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          [nzHeader]="informationTitle"
        >
          <ng-template #informationTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.generic.label.information.plural' | translate }}
            </div>
          </ng-template>
          <sqtm-app-test-automation-server-information-panel
            [componentData]="componentData"
          >
          </sqtm-app-test-automation-server-information-panel>
        </nz-collapse-panel>
      </nz-collapse>
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'authentication-protocol'"
          [sqtmCoreAnchorCollapsePanel]="'authentication-protocol'"
          [nzHeader]="authProtocolTitle"
        >
          <ng-template #authProtocolTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.entity.server.auth-protocol.label' | translate }}
            </div>
          </ng-template>
          <sqtm-app-taserver-auth-protocol-panel
            [componentData]="componentData"
          >
          </sqtm-app-taserver-auth-protocol-panel>
        </nz-collapse-panel>
      </nz-collapse>
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          sqtmCoreAnchorLastPanel
          [isEffectiveLastPanel]="
            !(supportsAutomatedExecutionEnvironments$ | async)
          "
          [sqtmCoreAnchorPanel]="'authentication-policy'"
          [sqtmCoreAnchorCollapsePanel]="'authentication-policy'"
          [nzHeader]="authPolicyTitle"
        >
          <ng-template #authPolicyTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.entity.server.auth-policy.label' | translate }}
            </div>
          </ng-template>
          <sqtm-app-taserver-auth-policy-panel [componentData]="componentData">
          </sqtm-app-taserver-auth-policy-panel>
        </nz-collapse-panel>
      </nz-collapse>
      @if (supportsAutomatedExecutionEnvironments$ | async) {
        <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
          <nz-collapse-panel
            [sqtmCoreAnchorPanel]="'environments'"
            [sqtmCoreAnchorCollapsePanel]="'environments'"
            [nzHeader]="environments"
          >
            <ng-template #environments>
              <div class="entity-view-collapse-panel-title m-r-10">
                {{
                  'sqtm-core.entity.server.environment.label.plural' | translate
                }}
              </div>
              <i
                nz-icon
                nzType="sqtm-core-generic:help"
                nzTheme="outline"
                nz-tooltip
                [nzTooltipTitle]="
                  'sqtm-core.administration-workspace.servers.test-automation-servers.environments.tooltip'
                    | translate
                "
                class="current-workspace-button tooltip-icon table-icon-size"
              >
              </i>
            </ng-template>
            <sqtm-app-test-automation-server-environment-panel>
            </sqtm-app-test-automation-server-environment-panel>
          </nz-collapse-panel>
        </nz-collapse>
      }
      @if (supportsAutomatedExecutionEnvironments$ | async) {
        <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
          <nz-collapse-panel
            [sqtmCoreAnchorPanel]="'environment-variables'"
            [sqtmCoreAnchorCollapsePanel]="'environment-variables'"
            [nzHeader]="environmentVariablesTitle"
            [nzExtra]="evGridButtons"
          >
            <ng-template #environmentVariablesTitle>
              <div class="entity-view-collapse-panel-title m-r-10">
                {{
                  'sqtm-core.administration-workspace.entities-customization.environment-variables.title'
                    | translate
                }}
              </div>
              <i
                nz-icon
                nzType="sqtm-core-generic:help"
                nzTheme="outline"
                nz-tooltip
                [nzTooltipTitle]="
                  'sqtm-core.administration-workspace.servers.test-automation-servers.environment-variables.tooltip'
                    | translate
                "
                class="current-workspace-button tooltip-icon table-icon-size"
              >
              </i>
            </ng-template>
            <sqtm-app-orchestrator-execution-environment-variable-panel
              [entityId]="componentData.testAutomationServer.id"
              [entityType]="environmentPanelTagHolderType"
              (valueChanged)="bindEnvironmentVariable($event)"
            >
            </sqtm-app-orchestrator-execution-environment-variable-panel>
          </nz-collapse-panel>
        </nz-collapse>
      }
      @if (supportsAutomatedExecutionEnvironments$ | async) {
        <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
          <nz-collapse-panel
            sqtmCoreAnchorLastPanel
            [sqtmCoreAnchorPanel]="'additional-configuration'"
            [sqtmCoreAnchorCollapsePanel]="'additional-configuration'"
            [nzHeader]="additionalConfigurationTitle"
          >
            <ng-template #additionalConfigurationTitle>
              <div class="entity-view-collapse-panel-title m-r-10">
                {{
                  'sqtm-core.administration-workspace.entities-customization.additional-configuration.title'
                    | translate
                }}
              </div>
              <a [href]="workflowSyntaxDocUrl" target="_blank">
                <i
                  nz-icon
                  nzType="sqtm-core-generic:help"
                  nzTheme="outline"
                  nz-tooltip
                  [nzTooltipTitle]="
                    'sqtm-core.administration-workspace.servers.test-automation-servers.additional-configuration.tooltip'
                      | translate
                  "
                  class="current-workspace-button tooltip-icon table-icon-size"
                  (click)="$event.stopImmediatePropagation()"
                >
                </i>
              </a>
            </ng-template>
            @if (isUltimate$ | async) {
              <sqtm-app-orchestrator-additional-configuration-panel
                [value]="
                  componentData.testAutomationServer.additionalConfiguration
                "
                (confirmEvent)="updateAdditionalConfiguration($event)"
                (checkSyntaxEvent)="checkAdditionalConfigurationSyntax($event)"
              >
              </sqtm-app-orchestrator-additional-configuration-panel>
            } @else {
              <div
                [innerHTML]="
                  'sqtm-core.administration-workspace.servers.test-automation-servers.additional-configuration.licence'
                    | translate
                "
              ></div>
            }
          </nz-collapse-panel>
        </nz-collapse>
      }
      <ng-template #evGridButtons>
        <sqtm-app-bind-environment-variable-buttons
          (isBindEvent)="openBindEnvironmentVariableDialog()"
          (isUnbindEvent)="openUnbindEnvironmentVariableDialog()"
        >
        </sqtm-app-bind-environment-variable-buttons>
      </ng-template>
      <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
    </div>
  </div>
}
